Name:           rcs
Summary:        Revision Control System (RCS) file version management tools
Version:        5.8
Release:        %mkrel 1
License:        GPLv3+
Group:          Development/Other
URL:            http://www.gnu.org/software/rcs/rcs.html
Source0:        ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-fdr-include-man-page-for-rcsfreeze.patch
Patch1:         %{name}-%{version}-fdr-new-svns-syntax.patch
Patch2:         %{name}-%{version}-fdr-same-user-locks.patch

BuildRequires:  autoconf
BuildRequires:  groff

Requires:       diffutils

%description
The Revision Control System (RCS) is a system for managing multiple
versions of files.  RCS automates the storage, retrieval, logging,
identification and merging of file revisions.  RCS is useful for text
files that are revised frequently (for example, programs,
documentation, graphics, papers and form letters).

The rcs package should be installed if you need a system for managing
different versions of files.


%prep
%setup -q
%patch0 -p1 -b .build-tweaks
%patch1 -p1 -b .sameuserlocks
%patch2 -p1 -b .newsvnsyntax

%build
autoconf
%configure

%make

%install
%makeinstall
install -m 755 src/rcsfreeze %{buildroot}%{_bindir}

rm -f %{buildroot}%{_infodir}/dir

%check
%make check

%post
%_install_info %{name}.info

%postun
%_remove_install_info %{name}.info

%files
%doc ChangeLog COPYING THANKS NEWS README
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man[15]/*


%changelog

* Wed Jan 18 2012 kamil <kamil> 5.8-1.mga2
+ Revision: 197735
- fix installing of info-pages
- add requirement on diffutils

* Mon Jan 16 2012 kamil <kamil> 5.8-0.mga2
+ Revision: 196900
- add groff to BR
- new version 5.8
- drop patches stupidrcs.patch and security.patch
- update URL
- update SOURCES
- new license GPLv3+
- include patches from Fedora
  o include-man-page-for-rcsfreeze.patch
  o same-user-locks.patch
- drop with-diffutils option from configure
- add %%check
- clean .spec

* Mon Feb 14 2011 misc <misc> 5.7-15.mga1
+ Revision: 51618
- imported package rcs

